Bug 117882 - Deleting a row or adding a column decreases the height of the lines in spreadsheet.
Summary: Deleting a row or adding a column decreases the height of the lines in spread...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-05-29 16:04 UTC by Salim Habchi
Modified: 2020-07-17 05:45 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test (12.75 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-05-29 16:04 UTC, Salim Habchi
Details
Screen before removing a row (549.97 KB, image/png)
2018-05-30 13:56 UTC, Salim Habchi
Details
Screen after removing a row (522.55 KB, image/png)
2018-05-30 13:56 UTC, Salim Habchi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Salim Habchi 2018-05-29 16:04:06 UTC
Created attachment 142385 [details]
test

Problem description:

When you delete a row or add a column it decreases the height of the rows in the spreadsheet

Steps to reproduce:

1. Open the attached file.
2. Delete the second row.

or 
1. Open the attached file.
2. add a column between column B and C.

Operating System: All
Version: 6.1.0.0.alpha0+ Master
Comment 1 Salim Habchi 2018-05-30 09:08:02 UTC
Apparently, this occurs when you have merged cells in the first column.
Comment 2 Jacques Guilleron 2018-05-30 13:44:53 UTC
Hi Salim,

I don't reproduce with
LO 6.1.0.0.alpha1+ Build ID: 23c5125148a8110d88385b29570bf0b7d4400458
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-12_00:15:25
Locale: fr-FR (fr_FR); Calc: CL
LO 5.4.0.1 Build ID: 962a9c4e2f56d1dbdd354b1becda28edd471f4f2
Threads CPU : 2; OS : Windows 6.1; UI Render : par défaut; 
Locale : fr-FR (fr_FR); Calc: CL
Can you precise your OS, please?
Comment 3 Salim Habchi 2018-05-30 13:55:46 UTC
Hi Jacques,

I reproduce it on:
LO Version: 6.1.0.0.alpha0+
Build ID: 24a57e2b854a1b8b3b8533ac72a6614ee29e374a
CPU threads: 8; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group

and

LO Version: 5.4.7.2 (x64)
Build ID: 8b8bb024e6d958c001e1f2765f61077f5a6a3a30
CPU threads: 2; OS: Windows 6.19; UI render: default; 
Locale: en-US (en_US); Calc: grou
Comment 4 Salim Habchi 2018-05-30 13:56:28 UTC
Created attachment 142407 [details]
Screen before removing a row
Comment 5 Salim Habchi 2018-05-30 13:56:51 UTC
Created attachment 142408 [details]
Screen after removing a row
Comment 6 Jacques Guilleron 2018-05-30 22:47:34 UTC
Thank you for this information completion.
However, I still see no width modification. They are the same before and after the row deletting: 8.77 cm.
Obviously, I see the red arrow apearing after the deletting. I thought to a side effect, but when I use undo(Ctrl+z) and redo(Ctrl+y), those red arrows desappear.
Is this the problem you see here and do you correct it this way?
Comment 7 Salim Habchi 2018-05-31 09:56:24 UTC
Look at the row number 14 after removing the second row.
The text completely disappear.
Comment 8 Salim Habchi 2018-05-31 09:58:54 UTC
i don't see a red arrow but (Ctrl+z) and redo(Ctrl+y) works.
Comment 9 Salim Habchi 2018-06-08 08:07:15 UTC
I investigate this bug in my opinion the problem comes from this file.

libreoffice\sc\source\ui\docshell\docfunc.cxx in line 2425.

Calc uses a different deletion when you have merged cells in your spreadsheet.
Comment 10 Xisco Faulí 2018-06-12 08:26:46 UTC
Regression introduced by:

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2013-01-22 23:50:47 +0100
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2013-01-22 23:52:09 +0100
commit	62bf434229f9f86469dea3123bc6180bd9979c2c (patch)
tree	4b64aae8b8f2e99a146e4afc931639638d3f3639
parent	c4b3af1e9f069d7d922974565ee66a30fd5744e4 (diff)
reset automatic row height flag after import, fdo#59193

Bisected with: bibisect-41max

Adding Cc: to Markus Mohrhard

Moving to ASSIGNED
Comment 11 Salim Habchi 2018-06-26 14:57:26 UTC
Hello,

I fixed the bug on version 5.4 of LibreOffice but the code is different on version 6.

I am still looking for a solution for version 6.
Comment 12 Xisco Faulí 2018-09-25 08:07:27 UTC
Dear Salim Habchi,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 13 QA Administrators 2019-09-26 03:03:26 UTC Comment hidden (obsolete)
Comment 14 david.vantyghem 2020-07-16 20:04:32 UTC
Bug still existing in LibreOffice version Version 6.4.4.2.
Comment 15 david.vantyghem 2020-07-16 20:07:01 UTC Comment hidden (obsolete)
Comment 16 Michael Weghorn 2020-07-17 05:45:48 UTC
(In reply to david.vantyghem from comment #14)
> Bug still existing in LibreOffice version Version 6.4.4.2.

Thanks for rechecking.
The "Version" field is used for the earliest version affected though, so should stay unchanged.